ApplicationPlugin (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.plugins

## [Java] Class ApplicationPlugin

- org.gradle.api.plugins.ApplicationPlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class ApplicationPlugin
      extends groovy.lang.GroovyObjectSupport

  A Plugin which runs a project as a Java Application.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `APPLICATION_GROUP` |
    `static String` | `APPLICATION_PLUGIN_NAME` |
    `static String` | `TASK_DIST_TAR_NAME` |
    `static String` | `TASK_DIST_ZIP_NAME` |
    `static String` | `TASK_INSTALL_NAME` |
    `static String` | `TASK_RUN_NAME` |
    `static String` | `TASK_START_SCRIPTS_NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(Project project)`
    `void` | `configureInstallTasks(Task... installTasks)`
    `static String` | `getAPPLICATION_GROUP()`
    `static String` | `getAPPLICATION_PLUGIN_NAME()`
    `static String` | `getTASK_DIST_TAR_NAME()`
    `static String` | `getTASK_DIST_ZIP_NAME()`
    `static String` | `getTASK_INSTALL_NAME()`
    `static String` | `getTASK_RUN_NAME()`
    `static String` | `getTASK_START_SCRIPTS_NAME()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String APPLICATION_GROUP

    - #### public static final String APPLICATION_PLUGIN_NAME

    - #### public static final String TASK_DIST_TAR_NAME

    - #### public static final String TASK_DIST_ZIP_NAME

    - #### public static final String TASK_INSTALL_NAME

    - #### public static final String TASK_RUN_NAME

    - #### public static final String TASK_START_SCRIPTS_NAME

  - ### Method Detail

    - #### @Override public void apply(Project project)

    - #### public void configureInstallTasks(Task... installTasks)

    - #### public static String getAPPLICATION_GROUP()

    - #### public static String getAPPLICATION_PLUGIN_NAME()

    - #### public static String getTASK_DIST_TAR_NAME()

    - #### public static String getTASK_DIST_ZIP_NAME()

    - #### public static String getTASK_INSTALL_NAME()

    - #### public static String getTASK_RUN_NAME()

    - #### public static String getTASK_START_SCRIPTS_NAME()